## org.jfree.report.modules.preferences.base
Class ConfigStoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.pentaho.reporting.libraries.base.util.StackableException
                  org.jfree.report.modules.preferences.base.ConfigStoreException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigStoreException

extends org.pentaho.reporting.libraries.base.util.StackableException

The config store exception is throwns if an error prevents an operation on the current configuration storage provider.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`ConfigStoreException()` DefaultConstructor.
`ConfigStoreException(java.lang.String s)` Creates a config store exception with the given message.
`ConfigStoreException(java.lang.String s, java.lang.Exception e)` Creates a config store exception with the given message and root exception.

Method Summary

Methods inherited from class org.pentaho.reporting.libraries.base.util.StackableException
`getMessage, getParent, getParentThrowable, printStackTrace, printStackTrace, printStackTrace, toString, update`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigStoreException

    public ConfigStoreException()

  DefaultConstructor.

### ConfigStoreException

    public ConfigStoreException(java.lang.String s,
                                java.lang.Exception e)

  Creates a config store exception with the given message and root exception.

  Parameters:
    `s` - the exception message.
    `e` - the exception that caused all the trouble.

### ConfigStoreException

    public ConfigStoreException(java.lang.String s)

  Creates a config store exception with the given message.

  Parameters:
    `s` - the message.